aboutsummaryrefslogtreecommitdiffstats
path: root/testing/gingerbase/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-12-15 08:55:24 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-12-15 08:55:24 +0000
commit3159d878dc26a8e113acced19b9b80c9cf5e73ca (patch)
treee9d88c9a70cb0590aa51d924178014e55746a7f4 /testing/gingerbase/APKBUILD
parent204b2606eda44779d3cb6d47a6652b77b3114d1c (diff)
downloadaports-3159d878dc26a8e113acced19b9b80c9cf5e73ca.tar.gz
aports-3159d878dc26a8e113acced19b9b80c9cf5e73ca.tar.bz2
aports-3159d878dc26a8e113acced19b9b80c9cf5e73ca.tar.xz
testing/gingerbase: new aport
Diffstat (limited to 'testing/gingerbase/APKBUILD')
-rw-r--r--testing/gingerbase/APKBUILD36
1 files changed, 36 insertions, 0 deletions
diff --git a/testing/gingerbase/APKBUILD b/testing/gingerbase/APKBUILD
new file mode 100644
index 0000000000..786f2cc6a7
--- /dev/null
+++ b/testing/gingerbase/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=gingerbase
+pkgver=2.2.1
+pkgrel=0
+pkgdesc="Gingerbase: basic host management for WoK"
+url="http://kimchi-project.github.io/gingerbase/"
+arch="noarch"
+license="AGPL2.1"
+depends="py2-configobj py2-pyparted wok"
+makedepends="automake autoconf libtool
+python2-dev gettext-dev pyflakes libxslt"
+subpackages="$pkgname-lang"
+source="$pkgname-$pkgver.tar.gz::https://github.com/kimchi-project/$pkgname/archive/$pkgver.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+ cd "$builddir"
+ sh ./autogen.sh --system
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-rpath \
+ --enable-sample
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="7432b762f70f0fb64df2bcad1735c894 gingerbase-2.2.1.tar.gz"
+sha256sums="660da2a158eb6ec981723d91fcaea6f0ae93a3f2a715ac97644a1f89aa6d5568 gingerbase-2.2.1.tar.gz"
+sha512sums="87414182d4963177356da2129333b2988251a14c05f74748fb19928353ea6415c89d2a70ddf7f5b30f33c037f4f80583909ba4607cf0d74a72c92d468c4915c4 gingerbase-2.2.1.tar.gz"